Replace user attributes Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.adra.com/doc/adra-scim/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SCIM 2 MCP server": {
    "url": "https://developer.adra.com/doc/adra-scim/mcp"
  }
}

Close
PUT /Users/{identifier}

Replace all user attributes with the provided values

Path parameters

  • identifier string Required

    Identifier of the user to replace

application/json

Body Required

  • enterpriseExtension null | object

    Additional properties are NOT allowed.

    Hide enterpriseExtension attribute Show enterpriseExtension attribute null | object
    • employeeNumber null | string
  • active boolean
  • electronicMailAddresses array[object]
    Hide electronicMailAddresses attributes Show electronicMailAddresses attributes object
    • value null | string
    • itemType null | string
    • primary boolean
  • locale null | string
  • meta null | object

    Additional properties are NOT allowed.

    Hide meta attribute Show meta attribute null | object
    • resourceType null | string
  • name object

    Additional properties are NOT allowed.

    Hide name attributes Show name attributes object
    • familyName string
    • givenName string
  • preferredLanguage null | string
  • timeZone null | string
  • title null | string
  • userName string
  • externalId null | string
  • schemas null | array[string]

Responses

  • 200 application/scim+json

    OK

    Hide response attributes Show response attributes object
    • enterpriseExtension null | object

      Additional properties are NOT allowed.

      Hide enterpriseExtension attribute Show enterpriseExtension attribute null | object
      • employeeNumber null | string
    • active boolean
    • electronicMailAddresses array[object]
      Hide electronicMailAddresses attributes Show electronicMailAddresses attributes object
      • value null | string
      • itemType null | string
      • primary boolean
    • locale null | string
    • meta null | object

      Additional properties are NOT allowed.

      Hide meta attribute Show meta attribute null | object
      • resourceType null | string
    • name object

      Additional properties are NOT allowed.

      Hide name attributes Show name attributes object
      • familyName string
      • givenName string
    • preferredLanguage null | string
    • timeZone null | string
    • title null | string
    • userName string
    • externalId null | string
    • schemas null | array[string]
  • 400 application/scim+json

    Bad Request

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 401 application/scim+json

    Unauthorized

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 403 application/scim+json

    Forbidden

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 404

    User not found

  • 500 application/scim+json

    Internal Server Error

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
  • 501 application/scim+json

    Not Implemented

    Hide response attributes Show response attributes object
    • type null | string
    • title null | string
    • status null | integer(int32)
    • detail null | string
    • instance null | string
PUT /Users/{identifier}
curl \
 --request PUT 'https://setup.adratest.com/api/organizations/{organizationSid}/scim/Users/{identifier}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"
  ],
  "userName": "jsmith@example.com",
  "name": {
    "givenName": "John",
    "familyName": "Smith"
  },
  "emails": [
    {
      "value": "jsmith@example.com",
      "type": "work",
      "primary": true
    }
  ],
  "active": true,
  "title": "Senior Software Engineer",
  "timezone": "America/Denver",
  "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
    "employeeNumber": "0603"
  }
}'
Request example
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User",
    "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User"
  ],
  "userName": "jsmith@example.com",
  "name": {
    "givenName": "John",
    "familyName": "Smith"
  },
  "emails": [
    {
      "value": "jsmith@example.com",
      "type": "work",
      "primary": true
    }
  ],
  "active": true,
  "title": "Senior Software Engineer",
  "timezone": "America/Denver",
  "urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
    "employeeNumber": "0603"
  }
}
Response examples (200)
{
  "enterpriseExtension": {
    "employeeNumber": null
  },
  "active": true,
  "electronicMailAddresses": [
    {
      "value": null,
      "itemType": null,
      "primary": true
    }
  ],
  "locale": null,
  "meta": {
    "resourceType": null
  },
  "name": {
    "familyName": "string",
    "givenName": "string"
  },
  "preferredLanguage": null,
  "timeZone": null,
  "title": null,
  "userName": "string",
  "externalId": null,
  "schemas": [
    null
  ]
}
Response examples (400)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (401)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (403)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (500)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}
Response examples (501)
{
  "type": null,
  "title": null,
  "status": null,
  "detail": null,
  "instance": null
}